GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::Decoder Class Reference

Decoder. More...

`#include <gdcmDecoder.h>`

Inheritance diagram for gdcm::Decoder:
[legend]

List of all members.

## Public Member Functions

virtual | ~Decoder ()
virtual bool | CanDecode (TransferSyntax const &) const =0
| Return whether this decoder support this transfer syntax (can decode it)
virtual bool | Decode (DataElement const &is_, DataElement &os)
| Decode.

## Protected Member Functions

virtual bool | Decode (std::istream &is_, std::ostream &os)

## Detailed Description

Decoder.

## Constructor & Destructor Documentation

virtual gdcm::Decoder::~Decoder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool gdcm::Decoder::CanDecode | ( | TransferSyntax const & |  | ) | const`[pure virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Implemented in gdcm::JPEGCodec, gdcm::PVRGCodec, gdcm::RLECodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGLSCodec, gdcm::PNMCodec, gdcm::RAWCodec, gdcm::AudioCodec, gdcm::PDFCodec, and gdcm::KAKADUCodec.

virtual bool gdcm::Decoder::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[inline, virtual]`

Decode.

Reimplemented in gdcm::JPEGCodec, gdcm::PVRGCodec, gdcm::JPEGLSCodec, gdcm::JPEG2000Codec, gdcm::RLECodec, gdcm::ImageCodec, gdcm::DeltaEncodingCodec, gdcm::KAKADUCodec, gdcm::RAWCodec, gdcm::AudioCodec, and gdcm::PDFCodec.

virtual bool gdcm::Decoder::Decode | ( | std::istream & | is_,
|  | std::ostream & | os
| ) |  | `[inline, protected, virtual]`

Reimplemented in gdcm::JPEGCodec, gdcm::JPEG2000Codec, gdcm::RLECodec, gdcm::ImageCodec, gdcm::RAWCodec, gdcm::DeltaEncodingCodec, gdcm::JPEG12Codec, gdcm::JPEG16Codec, and gdcm::JPEG8Codec.

The documentation for this class was generated from the following file:

- gdcmDecoder.h